Alibaba: Wan 2.7 Image (Text to Image) API Reference

About

Generate high-quality images from text prompts using the WAN 2.7 model with advanced prompt understanding and detailed output.

1. Calling the API

Setup your API Key

To begin using Infron, you first need to create an account and generate your API Key.

Once you have your API key, set it as an environment variable in your runtime environment. This allows your applications to securely access Infron’s API.

export INFRON_KEY="YOUR_API_KEY"

Submit a request

For long-running requests, you can poll for results.

curl https://media.onerouter.pro/v1/images/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
    "model": "wan/wan2.7/text-to-image",
    "prompt": "An astronaut riding a horse in a pencil drawing style.",
    "size": "2976*1408",
    "watermark": false,
    "thinking_mode": true,
    "sequential_image_generation": "auto",
    "output_format": "png",
    "response_format": "url",
    "n": 1,
    "seed": 214748364
}
EOF

Response with queue task id

The response will look like this:

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260729043255294552638a6tsl6Vi",
    "object": "image",
    "model": "wan/wan2.7/text-to-image",
    "status": "created",
    "urls": {
      "query": "https://media.onerouter.pro/v1/images/tasks/20260729043255294552638a6tsl6Vi"
    },
    "created_at": "2026-07-29 04:32:55.35"
  }
}

Fetch request status

You can fetch the status of a request to check if it is completed or still in progress.

curl https://media.onerouter.pro/v1/images/tasks/{task_id} \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" 

# For example
curl https://media.onerouter.pro/v1/images/tasks/20260729043255294552638a6tsl6Vi \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Response with queue task status query

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260729043255294552638a6tsl6Vi",
    "object": "image",
    "model": "wan/wan2.7/text-to-image",
    "status": "in_progress",
    "fail_reason": "",
    "submit_time": 1785299575,
    "start_time": 1785299575,
    "finish_time": 0,
    "outputs": [],
    "created_at": "2026-07-29 04:32:55"
  }
}

Possible statuses:

  • created
  • in_progress
  • processing
  • completed
  • failed

created -> in_progress → processing → completed | failed

Poll every 1-2 seconds until status is "completed" or "failed"

Get the result (when status is "completed")

Once the request is completed, you can fetch the result. See the Output Schema for the expected result format.

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260729043255294552638a6tsl6Vi",
    "object": "image",
    "model": "wan/wan2.7/text-to-image",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1785299575,
    "start_time": 1785299575,
    "finish_time": 1785299591,
    "outputs": [
      "https://infron.ai/cdn/media/image/generated/official_alibaba_image_f698d4eb4ef147cfbfb0775256d4fdb6.png"
    ],
    "usage": {
      "completion_tokens": 2,
      "image_count": 1,
      "image_quality": "",
      "prompt_tokens": 616,
      "resolution": "2976*1408",
      "total_tokens": 618,
      "web_search": false
    },
    "cost": {
      "total_cost": 0.024,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0.024,
        "video_cost": 0,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-07-29 04:32:55"
  }
}

2. Schema

Input

ParameterTypeRequiredDefaultRangeDescription
modelstringYes--Explore all modelsModel name.
promptstringYes----Text prompt for generation; Positive text prompt.
sizestringNo1K1K, 2K, WIDTH * HEIGHTThe size of the generated image in pixels (widthheight). Range: 512-4096 per dimension. Total pixels must be between 768768 and 2048*2048. Aspect ratio must be between 1:8 and 8:1.
watermarkbooleanNofalsetrue, falseWhether to add watermark to the image.
thinking_modestringNotruetrue, falseThinking mode of the model.
sequentialimagegenerationstringNodisableddisabled, autoDefaults to disabled; auto indicates a group of images and cannot be used simultaneously with color_palette.
color_palettearray<object>No[]--Each item must include hex and ratio; the sum of the ratios must be 100%; cannot be used simultaneously with sequential_image_generation=auto.
output_formatstringNopngpngOutput format of the image.
response_formatstringNourlurlResponse format of the image, default is url.
nintegerNo1[1]Number of images to generate.
seedintegerNo-->=1The random seed to use for the generation.

Example request

curl https://media.onerouter.pro/v1/images/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
    "model": "wan/wan2.7/text-to-image",
    "prompt": "An astronaut riding a horse in a pencil drawing style.",
    "size": "2976*1408",
    "watermark": false,
    "thinking_mode": true,
    "sequential_image_generation": "auto",
    "output_format": "png",
    "response_format": "url",
    "n": 1,
    "seed": 214748364
}
EOF

Output

ParameterTypeRangeDescription
codeinteger--Status code of the request.
messagestring--Status message of the request.
dataobject--Data of the task.
data.task_idstring--ID of the task.
data.objectstring--Object type of the task.
data.modelstring--Model name of the task.
data.statusstringcreated, in_progress, processing, completed, failedStatus of the task.
data.fail_reasonstring--Fail reason of the task.
data.submit_timeinteger--Timestamp of the task submission.
data.start_timeinteger--Timestamp of the task start.
data.finish_timeinteger--Timestamp of the task finish.
data.outputsarray--Outputs of the task.
data.created_atstring--Timestamp of the task creation.

Example output

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260729043255294552638a6tsl6Vi",
    "object": "image",
    "model": "wan/wan2.7/text-to-image",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1785299575,
    "start_time": 1785299575,
    "finish_time": 1785299591,
    "outputs": [
      "https://infron.ai/cdn/media/image/generated/official_alibaba_image_f698d4eb4ef147cfbfb0775256d4fdb6.png"
    ],
    "usage": {
      "completion_tokens": 2,
      "image_count": 1,
      "image_quality": "",
      "prompt_tokens": 616,
      "resolution": "2976*1408",
      "total_tokens": 618,
      "web_search": false
    },
    "cost": {
      "total_cost": 0.024,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0.024,
        "video_cost": 0,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-07-29 04:32:55"
  }
}

3. Detailed Pricing

Pricing TypeUnitPrice
Input text--
Input image--
Output image1 image$0.03